Archive this app and its associated provider/channel configuration. Review affected device and campaign counts.
curl --request POST \
--url https://api.sendrealm.com/project-operations/push_apps_delete/prepare \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Sendrealm-Project-Id: <x-sendrealm-project-id>' \
--data '
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'const options = {
method: 'POST',
headers: {
'X-Sendrealm-Project-Id': '<x-sendrealm-project-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'})
};
fetch('https://api.sendrealm.com/project-operations/push_apps_delete/prepare', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.sendrealm.com/project-operations/push_apps_delete/prepare"
payload = { "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a" }
headers = {
"X-Sendrealm-Project-Id": "<x-sendrealm-project-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"status": 123,
"data": {
"prepared_action_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"operation": "<string>",
"expires_at": "2023-11-07T05:31:56Z",
"effects": {
"operation": "<string>",
"project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"resource_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"input": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"automation_effects": "suppress"
},
"sends_messages": true,
"may_deliver_messages": true,
"deletes_resource": true,
"automation_effects": "suppress",
"irreversible_deliveries_are_not_recalled": true,
"current_status": "<string>",
"readiness": {},
"delivery_at": "<string>",
"recipient": "<string>",
"version_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"registered_devices": 123,
"campaigns": 123,
"dependent_campaigns": 123,
"consequences": [
"<string>"
],
"retry_step_key": "<string>",
"definition_version_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}
}{
"status": 123,
"error": {
"code": "<string>",
"message": "<string>",
"details": "<string>",
"issues": [
{
"code": "<string>",
"path": "<string>",
"message": "<string>"
}
]
}
}{
"status": 123,
"error": {
"code": "<string>",
"message": "<string>",
"details": "<string>",
"issues": [
{
"code": "<string>",
"path": "<string>",
"message": "<string>"
}
]
}
}{
"status": 123,
"error": {
"code": "<string>",
"message": "<string>",
"details": "<string>",
"issues": [
{
"code": "<string>",
"path": "<string>",
"message": "<string>"
}
]
}
}{
"status": 123,
"error": {
"code": "<string>",
"message": "<string>",
"details": "<string>",
"issues": [
{
"code": "<string>",
"path": "<string>",
"message": "<string>"
}
]
}
}{
"status": 123,
"error": {
"code": "<string>",
"message": "<string>",
"details": "<string>",
"issues": [
{
"code": "<string>",
"path": "<string>",
"message": "<string>"
}
]
}
}{
"status": 123,
"error": {
"code": "<string>",
"message": "<string>",
"details": "<string>",
"issues": [
{
"code": "<string>",
"path": "<string>",
"message": "<string>"
}
]
}
}{
"status": 123,
"error": {
"code": "<string>",
"message": "<string>",
"details": "<string>",
"issues": [
{
"code": "<string>",
"path": "<string>",
"message": "<string>"
}
]
}
}Agent messaging and project operations
Push Apps Delete — Prepare
Archive this app and its associated provider/channel configuration. Review affected device and campaign counts. Personal keys only; current scope, project grants and role capability are required. Billing is excluded.
POST
/
project-operations
/
push_apps_delete
/
prepare
Archive this app and its associated provider/channel configuration. Review affected device and campaign counts.
curl --request POST \
--url https://api.sendrealm.com/project-operations/push_apps_delete/prepare \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Sendrealm-Project-Id: <x-sendrealm-project-id>' \
--data '
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'const options = {
method: 'POST',
headers: {
'X-Sendrealm-Project-Id': '<x-sendrealm-project-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'})
};
fetch('https://api.sendrealm.com/project-operations/push_apps_delete/prepare', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.sendrealm.com/project-operations/push_apps_delete/prepare"
payload = { "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a" }
headers = {
"X-Sendrealm-Project-Id": "<x-sendrealm-project-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"status": 123,
"data": {
"prepared_action_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"operation": "<string>",
"expires_at": "2023-11-07T05:31:56Z",
"effects": {
"operation": "<string>",
"project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"resource_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"input": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"automation_effects": "suppress"
},
"sends_messages": true,
"may_deliver_messages": true,
"deletes_resource": true,
"automation_effects": "suppress",
"irreversible_deliveries_are_not_recalled": true,
"current_status": "<string>",
"readiness": {},
"delivery_at": "<string>",
"recipient": "<string>",
"version_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"registered_devices": 123,
"campaigns": 123,
"dependent_campaigns": 123,
"consequences": [
"<string>"
],
"retry_step_key": "<string>",
"definition_version_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}
}{
"status": 123,
"error": {
"code": "<string>",
"message": "<string>",
"details": "<string>",
"issues": [
{
"code": "<string>",
"path": "<string>",
"message": "<string>"
}
]
}
}{
"status": 123,
"error": {
"code": "<string>",
"message": "<string>",
"details": "<string>",
"issues": [
{
"code": "<string>",
"path": "<string>",
"message": "<string>"
}
]
}
}{
"status": 123,
"error": {
"code": "<string>",
"message": "<string>",
"details": "<string>",
"issues": [
{
"code": "<string>",
"path": "<string>",
"message": "<string>"
}
]
}
}{
"status": 123,
"error": {
"code": "<string>",
"message": "<string>",
"details": "<string>",
"issues": [
{
"code": "<string>",
"path": "<string>",
"message": "<string>"
}
]
}
}{
"status": 123,
"error": {
"code": "<string>",
"message": "<string>",
"details": "<string>",
"issues": [
{
"code": "<string>",
"path": "<string>",
"message": "<string>"
}
]
}
}{
"status": 123,
"error": {
"code": "<string>",
"message": "<string>",
"details": "<string>",
"issues": [
{
"code": "<string>",
"path": "<string>",
"message": "<string>"
}
]
}
}{
"status": 123,
"error": {
"code": "<string>",
"message": "<string>",
"details": "<string>",
"issues": [
{
"code": "<string>",
"path": "<string>",
"message": "<string>"
}
]
}
}Requires a scoped personal key, explicit project context and current role authorization. See Agent messaging and project operations for review, execution receipts and recovery.
Authorizations
Integration key for backend workloads, or a scoped personal key (sr_user_) for account discovery and supported project operations. MCP accepts only personal keys.
Headers
Body
application/json
UUID returned by the matching discovery tool in the selected project.
Maximum string length:
36